<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for NewIlsConfig StructType
 * @subpackage Structs
 */
class NewIlsConfig extends AbstractStructBase
{
    /**
     * The clusterId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $clusterId;
    /**
     * The lastContactTime
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $lastContactTime;
    /**
     * The clusterUriString
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $clusterUriString;
    /**
     * The role
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $role;
    /**
     * The lastDataRecieved
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $lastDataRecieved;
    /**
     * The syncronizationStatus
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $syncronizationStatus;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for NewIlsConfig
     * @uses NewIlsConfig::setClusterId()
     * @uses NewIlsConfig::setLastContactTime()
     * @uses NewIlsConfig::setClusterUriString()
     * @uses NewIlsConfig::setRole()
     * @uses NewIlsConfig::setLastDataRecieved()
     * @uses NewIlsConfig::setSyncronizationStatus()
     * @uses NewIlsConfig::setUuid()
     * @param string $clusterId
     * @param string $lastContactTime
     * @param string $clusterUriString
     * @param string $role
     * @param string $lastDataRecieved
     * @param string $syncronizationStatus
     * @param string $uuid
     */
    public function __construct($clusterId = null, $lastContactTime = null, $clusterUriString = null, $role = null, $lastDataRecieved = null, $syncronizationStatus = null, $uuid = null)
    {
        $this
            ->setClusterId($clusterId)
            ->setLastContactTime($lastContactTime)
            ->setClusterUriString($clusterUriString)
            ->setRole($role)
            ->setLastDataRecieved($lastDataRecieved)
            ->setSyncronizationStatus($syncronizationStatus)
            ->setUuid($uuid);
    }
    /**
     * Get clusterId value
     * @return string|null
     */
    public function getClusterId()
    {
        return $this->clusterId;
    }
    /**
     * Set clusterId value
     * @param string $clusterId
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\NewIlsConfig
     */
    public function setClusterId($clusterId = null)
    {
        $this->clusterId = $clusterId;
        return $this;
    }
    /**
     * Get lastContactTime value
     * @return string|null
     */
    public function getLastContactTime()
    {
        return $this->lastContactTime;
    }
    /**
     * Set lastContactTime value
     * @param string $lastContactTime
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\NewIlsConfig
     */
    public function setLastContactTime($lastContactTime = null)
    {
        $this->lastContactTime = $lastContactTime;
        return $this;
    }
    /**
     * Get clusterUriString value
     * @return string|null
     */
    public function getClusterUriString()
    {
        return $this->clusterUriString;
    }
    /**
     * Set clusterUriString value
     * @param string $clusterUriString
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\NewIlsConfig
     */
    public function setClusterUriString($clusterUriString = null)
    {
        $this->clusterUriString = $clusterUriString;
        return $this;
    }
    /**
     * Get role value
     * @return string|null
     */
    public function getRole()
    {
        return $this->role;
    }
    /**
     * Set role value
     * @param string $role
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\NewIlsConfig
     */
    public function setRole($role = null)
    {
        $this->role = $role;
        return $this;
    }
    /**
     * Get lastDataRecieved value
     * @return string|null
     */
    public function getLastDataRecieved()
    {
        return $this->lastDataRecieved;
    }
    /**
     * Set lastDataRecieved value
     * @param string $lastDataRecieved
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\NewIlsConfig
     */
    public function setLastDataRecieved($lastDataRecieved = null)
    {
        $this->lastDataRecieved = $lastDataRecieved;
        return $this;
    }
    /**
     * Get syncronizationStatus value
     * @return string|null
     */
    public function getSyncronizationStatus()
    {
        return $this->syncronizationStatus;
    }
    /**
     * Set syncronizationStatus value
     * @param string $syncronizationStatus
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\NewIlsConfig
     */
    public function setSyncronizationStatus($syncronizationStatus = null)
    {
        $this->syncronizationStatus = $syncronizationStatus;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\NewIlsConfig
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
